<?

//************************************************
// MyBB Statusicon - check for new posts and PMs
// Author: Michael Richter
// Website: http://osor.de/
//************************************************

define('IN_MYBB', true);

require './global.php';
require './inc/functions_search.php';

// if user isn't logged in
if(!($mybb->user['uid'] != 0)) {
	printicon(0);
	exit;
}

// build query
$where_sql = "(p.dateline >= '".$mybb->user['lastvisit']."' OR p.edittime >= '".$mybb->user['lastvisit']."')";

if($mybb->input['fid'])
{
	$where_sql .= " AND t.fid='".intval($mybb->input['fid'])."'";
}

// add unsearchable forums
$unsearchforums = get_unsearchable_forums();
if($unsearchforums)
{
	$where_sql .= " AND t.fid NOT IN ($unsearchforums)";
}
$inactiveforums = get_inactive_forums();
if($inactiveforums)
{
	$where_sql .= " AND t.fid NOT IN ($inactiveforums)";
}

// check for new posts
$query = $db->query("
	SELECT COUNT(p.pid) AS resultcount
	FROM ".TABLE_PREFIX."posts p
	LEFT JOIN ".TABLE_PREFIX."threads t ON (t.tid=p.tid)
	WHERE $where_sql  AND p.visible>0 AND t.visible>0 AND t.closed NOT LIKE 'moved|%' 
");
$count = $db->fetch_array($query);
$numnew = $count['resultcount'];

// check for new PMs
$query = $db->query("
	SELECT COUNT(toid) AS resultcount
	FROM ".TABLE_PREFIX."privatemessages
	WHERE toid = '".$mybb->user['uid']."' AND status = '0' AND folder = '1'
");
$count = $db->fetch_array($query);
$numnew += $count['resultcount'];

printicon($numnew);


function printicon($numnew)
{
	header('Content-Type: image/gif');
	if($numnew > 0) {
		$im = imagecreatefromgif('iconon.gif');
		$col_text = imagecolorallocate($im, 255, 255, 255);
		$box = imagettfbbox(8, 0, 'arialbd.ttf', $numnew);
		imagettftext($im, 8, 0, 7 - $box[2] / 2, 12, $col_text, 'arialbd.ttf', $numnew);
		ob_start();
		imagegif($im);
		$output = ob_get_contents();
		$filesize = ob_get_length();
		ob_end_clean();
		header('Content-Length: '.$filesize);
		print $output;
	} else {
		header('Content-Length: '.filesize('iconoff.gif'));
		readfile('iconoff.gif');
	}
}
?>
